

#ifndef _S3C2410_REG_H
#define _S3C2410_REG_H

#define GPIO_GPIO(Nb)  (0x00000001 << Nb)
#define GPIO_GPIO0      GPIO_GPIO (0)   /* GPIO  [0]                       */
#define GPIO_GPIO1      GPIO_GPIO (1)   /* GPIO  [1]                       */
#define GPIO_GPIO2      GPIO_GPIO (2)   /* GPIO  [2]                       */
#define GPIO_GPIO3      GPIO_GPIO (3)   /* GPIO  [3]                       */
#define GPIO_GPIO4      GPIO_GPIO (4)   /* GPIO  [4]                       */
#define GPIO_GPIO5      GPIO_GPIO (5)   /* GPIO  [5]                       */
#define GPIO_GPIO6      GPIO_GPIO (6)   /* GPIO  [6]                       */
#define GPIO_GPIO7      GPIO_GPIO (7)   /* GPIO  [7]                       */
#define GPIO_GPIO8      GPIO_GPIO (8)   /* GPIO  [8]                       */
#define GPIO_GPIO9      GPIO_GPIO (9)   /* GPIO  [9]                       */
#define GPIO_GPIO10     GPIO_GPIO (10)  /* GPIO [10]                       */
#define GPIO_GPIO11     GPIO_GPIO (11)  /* GPIO [11]                       */
#define GPIO_GPIO12     GPIO_GPIO (12)  /* GPIO [12]                       */
#define GPIO_GPIO13     GPIO_GPIO (13)  /* GPIO [13]                       */
#define GPIO_GPIO14     GPIO_GPIO (14)  /* GPIO [14]                       */
#define GPIO_GPIO15     GPIO_GPIO (15)  /* GPIO [15]                       */
#define GPIO_GPIO16     GPIO_GPIO (16)  /* GPIO [16]                       */
#define GPIO_GPIO17     GPIO_GPIO (17)  /* GPIO [17]                       */


#define INTMSK             0x4A000008
#define INTSUBMSK	   0x4A00001C
#define WTCON              0x53000000
#define LOCKTIME           0x4C000000
#define MPLLCON            0x4C000004
#define UPLLCON            0x4C000008
#define CLKDIVN            0x4C000014
#define BWSCON             0x48000000
#define REFRESH            0x48000024
#define BANKSIZE	   0x48000028
#define GPFCON   	   0x56000050
#define GPFDAT		   0x56000054
#define GPFUP		   0x56000058

#define MISCCR             0x56000080
#define SCK_NORMAL         (0x7<<17)

#define GSTATUS0           0x560000AC
#define GSTATUS1           0x560000B0
#define GSTATUS2           0x560000B4
#define GSTATUS3           0x560000B8
#define GSTATUS4           0x560000BC    

#define PWRST             GPIO_GPIO0
#define OFFRST            GPIO_GPIO1
#define WDRST             GPIO_GPIO2
#define POWEROFFLED1	  (0x2<<4)
#define POWEROFFLED2  	  (0x4<<4)
#define POWEROFFLED3  	  (0x8<<4)

#define FCLK_SPEED 1
#if FCLK_SPEED==0   /*  FCLK=203Mhz, Fin=12Mhz for AUDIO        */
        #define M_MDIV          0xc3
        #define M_PDIV          0x4
        #define M_SDIV          0x1
#elif FCLK_SPEED==1        /* FCLK = 202.8Mhz */
        #define M_MDIV          0xa1
        #define M_PDIV          0x3
        #define M_SDIV          0x1
#endif


#endif
